%define major		14
%define libname		%mklibname calcmysky %major
%define develname	%mklibname -d calcmysky
%define fname		CalcMySky

Name:		calcmysky
Version:	0.2.1
Release:	%mkrel 1
Summary:	Simulator of light scattering by planetary atmospheres 
Group:		Sciences/Astronomy
License:	GPLv3
URL:		https://github.com/10110111/%{fname}
Source0:	https://github.com/10110111/%{fname}/archive/v%{version}/%{fname}-%{version}.tar.xz
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(glm)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	qt5-devel

%description
CalcMySky is a software package that simulates scattering of light by
the atmosphere to render daytime and twilight skies (without
stars). Its primary purpose is to enable realistic view of the sky in
applications such as planetaria. Secondary objective is to make it
possible to explore atmospheric effects such as glories, fogbows etc.,
as well as simulate unusual environments such as on Mars or an
exoplanet orbiting a star with a non-solar spectrum of radiation.

%package -n %{libname}
Summary:	Library for simulator of light scattering by planetary atmospheres
Group:		System/Libraries

%description -n %{libname}
CalcMySky is a software package that simulates scattering of light by
the atmosphere to render daytime and twilight skies (without
stars).

This package contains the libraries needed to CalcMySky.

%package -n %{develname}
Summary:	Development files for CalcMySky
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{develname}
This package contains header files needed when building applications
based on %{name}.

%prep
%setup -q -n %{fname}-%{version}
%apply_patches

%build
%cmake \
	-DFETCHCONTENT_FULLY_DISCONNECTED:BOOL=yes

%cmake_build

%install
%cmake_install

%files
%{_bindir}
%{_datadir}

%files -n %{libname}
%{_libdir}/lib*.%{major}*

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}
%{_libdir}/ShowMySky-Qt5

%changelog
* Thu Nov 03 2022 tex - 0.2.1-1pclos2022
- Update to release 0.2.1.
